> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algoreg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update transaction

> Updates a KYT transaction.

## Path parameters

<ParamField path="id" type="string" required />

## Body parameters

<ParamField body="comment" type="string" />

<ParamField body="state" type="string" />

## Response body

<Tabs>
  <Tab title="200">
    <ResponseField name="amount" type="number" />

    <ResponseField name="client_id" type="integer" />

    <ResponseField name="comment" type="string" />

    <ResponseField name="context" type="string" />

    <ResponseField name="converted_amount" type="number" />

    <ResponseField name="converted_currency" type="string" />

    <ResponseField name="converted_date" type="string" />

    <ResponseField name="crypto" type="Crypto">
      <Expandable title="properties">
        <ResponseField name="blockchain" type="string" />

        <ResponseField name="tx_hash" type="string" />
      </Expandable>
    </ResponseField>

    <ResponseField name="currency" type="string" />

    <ResponseField name="customers" type="string[]" />

    <ResponseField name="date" type="string" />

    <ResponseField name="external_id" type="string" />

    <ResponseField name="fields" type="any" />

    <ResponseField name="from" type="Participant">
      <Expandable title="properties">
        <ResponseField name="account_type" type="string" />

        <ResponseField name="device" type="Device">
          <Expandable title="properties">
            <ResponseField name="2fa" type="boolean" />

            <ResponseField name="3ds" type="boolean" />

            <ResponseField name="country" type="string" />

            <ResponseField name="fingerprint" type="string" />

            <ResponseField name="geolocation" type="string" />

            <ResponseField name="ip" type="string" />

            <ResponseField name="language" type="string" />

            <ResponseField name="session_duration" type="number" />

            <ResponseField name="session_id" type="string" />

            <ResponseField name="user_agent" type="string" />
          </Expandable>
        </ResponseField>

        <ResponseField name="domicile_code" type="string" />

        <ResponseField name="external_id" type="string">
          may be an alias
        </ResponseField>

        <ResponseField name="full_name" type="string" />

        <ResponseField name="payment_institution" type="PaymentInstitution">
          <Expandable title="properties">
            <ResponseField name="code" type="string" />

            <ResponseField name="country" type="string" />

            <ResponseField name="external_id" type="string">
              may be an alias
            </ResponseField>

            <ResponseField name="internal_customer_id" type="string" />

            <ResponseField name="name" type="string" />

            <ResponseField name="real_external_id" type="string">
              if external\_id is an alias, this will be different from it; does not need to be in the input, it will be computed by the system.
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="payment_method" type="PaymentMethod">
          <Expandable title="properties">
            <ResponseField name="code" type="string" />

            <ResponseField name="country" type="string" />

            <ResponseField name="type" type="string" />
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="id" type="string" />

    <ResponseField name="review_groups" type="string[]" />

    <ResponseField name="rules" type="Rule[]">
      <Expandable title="properties">
        <ResponseField name="active" type="boolean" />

        <ResponseField name="code" type="string" />

        <ResponseField name="score" type="number" />

        <ResponseField name="use_weight" type="boolean" />

        <ResponseField name="weight" type="number" />
      </Expandable>
    </ResponseField>

    <ResponseField name="score" type="number" />

    <ResponseField name="search_vector" type="string[]" />

    <ResponseField name="state" type="KYTTransactionState">
      <Expandable title="properties" />
    </ResponseField>

    <ResponseField name="to" type="Participant">
      <Expandable title="properties">
        <ResponseField name="account_type" type="string" />

        <ResponseField name="device" type="Device">
          <Expandable title="properties">
            <ResponseField name="2fa" type="boolean" />

            <ResponseField name="3ds" type="boolean" />

            <ResponseField name="country" type="string" />

            <ResponseField name="fingerprint" type="string" />

            <ResponseField name="geolocation" type="string" />

            <ResponseField name="ip" type="string" />

            <ResponseField name="language" type="string" />

            <ResponseField name="session_duration" type="number" />

            <ResponseField name="session_id" type="string" />

            <ResponseField name="user_agent" type="string" />
          </Expandable>
        </ResponseField>

        <ResponseField name="domicile_code" type="string" />

        <ResponseField name="external_id" type="string">
          may be an alias
        </ResponseField>

        <ResponseField name="full_name" type="string" />

        <ResponseField name="payment_institution" type="PaymentInstitution">
          <Expandable title="properties">
            <ResponseField name="code" type="string" />

            <ResponseField name="country" type="string" />

            <ResponseField name="external_id" type="string">
              may be an alias
            </ResponseField>

            <ResponseField name="internal_customer_id" type="string" />

            <ResponseField name="name" type="string" />

            <ResponseField name="real_external_id" type="string">
              if external\_id is an alias, this will be different from it; does not need to be in the input, it will be computed by the system.
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="payment_method" type="PaymentMethod">
          <Expandable title="properties">
            <ResponseField name="code" type="string" />

            <ResponseField name="country" type="string" />

            <ResponseField name="type" type="string" />
          </Expandable>
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Tab>

  <Tab title="default">
    unexpected error

    <ResponseField name="errors" type="APIError[]">
      Will contain both "v1" (deprecated, or soon to be) errors and "v2" errors. When possible, prefer errors that are not deprecated.

      <Expandable title="properties">
        <ResponseField name="code" type="string" />

        <ResponseField name="deprecated" type="boolean" />

        <ResponseField name="message" type="string" />

        <ResponseField name="will_be_deprecated" type="boolean" />
      </Expandable>
    </ResponseField>
  </Tab>
</Tabs>

<RequestExample>
  ```json JSON
  {
    "comment": "string",
    "state": "string"
  }
  ```

  ```javascript JavaScript

    const response = await fetch(
      "POST /api/v1/kyt/transaction/{id}",
      {
        method: "post",
        headers: {
          "Content-Type": "application/json",
          "Authorization": `Bearer {token}`
        },
        body: JSON.stringify({
    "comment": "string",
    "state": "string"
  })
      }
    );
              
            
  ```
</RequestExample>

<ResponseExample>
  ```json 200
  {
    "amount": "number",
    "client_id": "integer",
    "comment": "string",
    "context": "string",
    "converted_amount": "number",
    "converted_currency": "string",
    "converted_date": "string",
    "crypto": {
      "blockchain": "string",
      "tx_hash": "string"
    },
    "currency": "string",
    "customers": [
      "string"
    ],
    "date": "string",
    "external_id": "string",
    "fields": "any",
    "from": {
      "account_type": "string",
      "device": {
        "2fa": "boolean",
        "3ds": "boolean",
        "country": "string",
        "fingerprint": "string",
        "geolocation": "string",
        "ip": "string",
        "language": "string",
        "session_duration": "number",
        "session_id": "string",
        "user_agent": "string"
      },
      "domicile_code": "string",
      "external_id": "string",
      "full_name": "string",
      "payment_institution": {
        "code": "string",
        "country": "string",
        "external_id": "string",
        "internal_customer_id": "string",
        "name": "string",
        "real_external_id": "string"
      },
      "payment_method": {
        "code": "string",
        "country": "string",
        "type": "string"
      }
    },
    "id": "string",
    "review_groups": [
      "string"
    ],
    "rules": [
      {
        "active": "boolean",
        "code": "string",
        "score": "number",
        "use_weight": "boolean",
        "weight": "number"
      }
    ],
    "score": "number",
    "search_vector": [
      "string"
    ],
    "state": {},
    "to": {
      "account_type": "string",
      "device": {
        "2fa": "boolean",
        "3ds": "boolean",
        "country": "string",
        "fingerprint": "string",
        "geolocation": "string",
        "ip": "string",
        "language": "string",
        "session_duration": "number",
        "session_id": "string",
        "user_agent": "string"
      },
      "domicile_code": "string",
      "external_id": "string",
      "full_name": "string",
      "payment_institution": {
        "code": "string",
        "country": "string",
        "external_id": "string",
        "internal_customer_id": "string",
        "name": "string",
        "real_external_id": "string"
      },
      "payment_method": {
        "code": "string",
        "country": "string",
        "type": "string"
      }
    }
  }
  ```

  ```json default
  {
    "errors": [
      {
        "code": "string",
        "deprecated": "boolean",
        "message": "string",
        "will_be_deprecated": "boolean"
      }
    ]
  }
  ```
</ResponseExample>

<script type="application/javascript">document.body.style.opacity = 0;</script>

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/decrypt.js" />

<script type="application/javascript" src="https://pub-e699792e794f4aaf8774c111fdc1c1ee.r2.dev/text-replace.js" />
